Subject: Re: [PATCH v1 iwl-next] igc: Add support for LEDs on i225/i226

From: Kurt Kanzenbach <[email-masked]>
Date: Thu, 25 Jan 2024 08:31:54 +0100

On Wed Jan 24 2024, Andrew Lunn wrote:
> On Wed, Jan 24, 2024 at 09:24:08AM +0100, Kurt Kanzenbach wrote:
>> Add support for LEDs on i225/i226. The LEDs can be controlled via sysfs
>> from user space using the netdev trigger. The LEDs are named as
>> igc-<bus><device>-<led> to be easily identified.
>> 
>> Offloading activity and link speed is supported. Tested on Intel i225.
>
> Nice to see something not driver by phylib/DSA making use of LEDs.
>
> Is there no plain on/off support? Ideally we want that for software
> blinking for when a mode is not supported.

Plain on and off is supported is supported, too. Should be possible to
implement brightness_set().

Thanks,
Kurt